<template>
  <div>
    <rui-empty v-if="resourceInteractionsGroupsToSync.length === 0" :content="$t('js.admin.import.nothing_to_import')" />
    <gpa-diffs v-else
               :current-base-url="baseUrl"
               :trusted-class="trustedClass"
               :entities-to-sync="resourceInteractionsGroupsToSync" />
  </div>
</template>

<script>
import RuiEmpty from '@experiments-labs/rise_ui/src/components/DataDisplay/Empty/Empty.vue'
import GpaDiffs from './Diff/Diffs.vue'
import TrustedResourceInteractionsGroup from '../../../classes/models/trustedData/TrustedResourceInteractionsGroup'

export default {
  name: 'GpaResourceInteractionsGroup',
  components: { RuiEmpty, GpaDiffs },
  data () {
    return {
      trustedClass: TrustedResourceInteractionsGroup,
      baseUrl: '/admin/resource_interactions_groups',
    }
  },
  computed: {
    resourceInteractionsGroupsToSync () { return this.$store.getters.resourceInteractionsGroupsToSync },
  },
}
</script>
